aboutsummarylogtreecommitdiffstats
path: root/minecraftd
diff options
context:
space:
mode:
Diffstat (limited to 'minecraftd')
-rw-r--r--minecraftd6
1 files changed, 6 insertions, 0 deletions
diff --git a/minecraftd b/minecraftd
new file mode 100644
index 000000000000..997f92882004
--- /dev/null
+++ b/minecraftd
@@ -0,0 +1,6 @@
+#!/bin/bash
+
+. /etc/conf.d/minecraft || echo "can't source /etc/conf.d/minecraft"
+
+cd $_SRVDIR
+screen -dmS minecraft java -Xmx${MAXHEAP} -Xms${MINHEAP} -XX:+UseConcMarkSweepGC -XX:+CMSIncrementalPacing -XX:ParallelGCThreads=${THREADS} -XX:+AggressiveOpts -jar ${_SRVDIR}/${SERVERJAR} nogui